body {
    font-family: 'Dosis', sans-serif;
    background: url("../images/wild-sea.png");
    margin: 0 auto;
    padding: 0 0 100px;
    -webkit-tap-highlight-color: transparent;
    max-width: 500px;

}
body.modal-open {
    overflow: hidden;
}
header {
    position: relative;
    color: #fff;
    text-shadow: 0px 1px 2px rgba(0, 0, 0, 0.3);
    padding: 14px;
    width: 100%;
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    box-sizing: border-box;
}
header .week-number{
    flex-grow: 2;
    text-align: center;
}
header .week-number .number{
    font-size: 40px;
    font-weight: bold;
}
header .week-number .dates{
    font-size: 22px;
    font-weight: 500;
}
header .week-number .week-info{
    margin: 10px auto;
    font-size: 13px;
    font-weight: 500;
    color: #222222;
    text-shadow: none;
    background: #ffffff;
    border-radius: 20px;
    box-shadow: 0px 2px 10px 0px rgba(0,0,0,0.2);
    width: fit-content;
    padding: 3px 15px;
}

nav {
    position: fixed;
    z-index: 80;
    width: 100%;
    height: 50px;
    bottom: 0;
    left: 0;
    right: 0;
    border-top-left-radius:50% 70%;
    border-top-right-radius:50% 70%;
    background: rgba(255,255,255,0.8);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);

}
nav .buttons {
    position: absolute;
    width: 100%;
    left: 0;
    right: 0;
    bottom: 15px;
    display: flex;
    gap: 14px;
    justify-content: center;
    align-items: center;
}

nav .buttons a{
    box-shadow: 0px 4px 2px rgba(0,0,0,.08),0px -10px 10px rgba(0,0,0,0.04);
}
main {

}
#overlay {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    background: rgba(0,0,0,0.1);
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 100;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
}

#modal {
    display: flex;
    flex-direction: column;
    gap: 14px;
    position: fixed;
    width: 100%;
    height: 75%;
    background: #ffffff;
    border-top-left-radius: 40px;
    border-top-right-radius: 40px;
    box-shadow: 0px -20px 20px rgba(0,0,0,0.08);
    padding: 20px;
    box-sizing: border-box;
    right: 0;
    left: 0;
    bottom: -80%;
    z-index: 110;
    transition: all 400ms ease;
}
#modal .headline {
    font-size: 34px;
    line-height: 45px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 14px;
}
#modal .modal-content {
    position: relative;
    overflow: scroll;
    padding: 30px 0;
    width: 100%;
    box-sizing: content-box;
    padding-right: 30px;


}
#modal .sha-top {
    content: "";
    position: absolute;
    top: 79px;
    left: 0;
    right: 0;
    height: 30px;
    width: 100%;
    z-index: 200;
    background: linear-gradient(to bottom,  rgba(255,255,255,1) 0%,rgba(255,255,255,0) 100%);
}
#modal .sha-bot {
    content: "";
    position: absolute;
    bottom: 20px;
    left: 0;
    right: 0;
    height: 30px;
    width: 100%;
    z-index: 200;
    background: linear-gradient(to top,  rgba(255,255,255,1) 0%,rgba(255,255,255,0) 100%);
}
#modal .modal-content li{
    margin: 0px 0px 14px 0px;
}
#modal .modal-content li > label{
    padding: 2px 10px;
    font-size: 15px;
    border-radius: 5px;
    background: #ffd60a;
    color: #fff;
    font-weight: bold;
    text-shadow: 0px 1px 2px rgba(0,0,0,0.3);
    margin-bottom: 6px;
    display: inline-block;
}
#modal .modal-content li > label.selected{
    background: #ccc;
}
#modal .button-wrapper {

}
.plan {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 50px;
    padding: 0 14px;
    box-sizing: border-box;
    transition: margin 500ms ease;
}
.plan.first-show {
    margin: 100px 0;
}
.plan .day {
    position: relative;
    padding: 10px;
    background: #fff;
    box-shadow: 0px -4px 10px rgba(0,0,0,0.12),0px 4px 10px rgba(0,0,0,.12);
    width: 100%;
    box-sizing: border-box;
    border-radius: 30px;
    border: 5px solid #ededed;
}
.plan .day .sha-bot {
    display: none;
    content: "";
    position: absolute;
    bottom: 10px;
    left: 0;
    right: 0;
    height: 30px;
    width: 100%;
    border-radius: 20px;
    z-index: 2  ;
    background: linear-gradient(to top,  rgba(255,255,255,1) 0%,rgba(255,255,255,0) 100%);
}
.plan .day .sha-bot:before {
    position: absolute;
    content: "Vis mere";
    bottom: -10px;
    left: 50%;
    width: fit-content;
    background: #ededed;
    padding: 3px 30px 0px;
    font-size: 11px;
    font-weight: 500;
    transform: translate(-50%, -0%);
    box-shadow: 0px -3px 3px 0px rgba(0,0,0,.10);
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}
.plan .day.past-day .dish{
    max-height: 30px;
    overflow: hidden;
}
.plan .day.past-day .sha-bot{
    display: block;
}

.plan .day.current-day {
    border: 5px solid #ffd60a;
    margin: 50px 0;

}
.plan .day.current-day .day-name{
    background: #ffd60a;
    top: -34px;
    font-size: 20px;
    font-weight: 500;
    color: rgb(101, 89, 6);
}
.plan .day .day-name{
    position: absolute;
    transform: translate(-50%, -0%);
    left: 50%;
    top: -26px;
    padding: 4px 12px;
    font-size: 14px;
    font-weight: 500;
    text-align: center;
    background: #ededed;
    box-shadow: 0px -6px 8px rgba(0,0,0,.10);
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}
.plan .day .dish {
    text-align: center;
    transition: all 300ms ease;
    overflow: hidden;
    max-height: 200px;
}
.plan .day .dish .main{
    position: relative;
    font-size: 32px;
    margin-bottom: 14px;
}
.plan .day .dish .side{
    position: relative;
    font-size: 24px;
    margin-bottom: 14px;
}
.plan .day .dish .side:before{
    content: "med";
    font-size: 14px;
    position: absolute;
    top: -14px;
    left: 50%;
    transform: translate(-50%, -0%);
    color: #555;
}
.plan .day .dish .salad{
    position: relative;
    font-size: 24px;
}
.plan .day .dish .salad:before{
    content: "og";
    font-size: 14px;
    position: absolute;
    top: -14px;
    left: 50%;
    transform: translate(-50%, -0%);
    color: #555;
}
.plan .no-week-plan {
    position: relative;
    padding: 20px;
    background: #fff;
    box-shadow: 0px -4px 10px rgba(0,0,0,0.12),0px 4px 10px rgba(0,0,0,.12);
    width: 80%;
    margin: 0 auto;
    text-align: center;
    box-sizing: border-box;
    border-radius: 30px;
    border: 5px solid #ededed;
}
.plan .no-week-plan .icon {
    margin-bottom: 28px;
    height: 96px;
}
.plan .no-week-plan .icon img {
    max-height: 96px;
}

.plan .no-week-plan .text {
    font-size: 20px;
    margin-bottom: 28px;
}

.plan .no-week-plan .icon {

}
.btn {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 60px;
    color: #222;
    font-weight: bold;
    text-decoration: none;
    border-radius: 200px;
    padding: 8px 32px;
    box-sizing: border-box;
    background: #fff;
    box-shadow: 0px 4px 2px rgba(0,0,0,.08);

}
.btn.icon {
    padding: 0;
    width: 58px;
    height: 58px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.btn.icon img {
    max-width: 32px;
    max-height: 32px;
    filter: invert(76%) sepia(62%) saturate(1600%) hue-rotate(337deg) brightness(97%) contrast(100%);
}
.btn.icon.primary img {
    filter: invert(100%) sepia(0%) saturate(7500%) hue-rotate(316deg) brightness(105%) contrast(100%) drop-shadow(0px 2px 1px rgb(0 0 0 / 0.1)) ;
}
.btn.primary {
    color: #fff;
    text-shadow: 0px 1px 2px rgba(0,0,0,0.3);
    background: linear-gradient(135deg,  rgba(255,214,10,1) 0%,rgba(248,165,39,1) 100%);
}
.btn:active {
    box-shadow: inset 0px 4px 2px rgba(0,0,0,.08);
}

#modal .headline .btn {
    width: 40px;
    height: 40px;
}
#modal .headline .btn img {
    max-width: 20px;
    max-height: 20px;
}

input[type="text"]
{
    font-size: 22px;
    border-radius: 14px;
    border: 2px solid rgba(255,214,10,1);
    padding: 10px 14px;
    width: 100%;
    box-sizing: border-box;
    -webkit-appearance: none;
    outline: none;
    box-shadow: inset 0px 4px 5px rgba(0,0,0,.08);
}
input[type="text"]:focus
{
    border: 2px solid rgba(248,165,39,1);
}
ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
ul li{
    margin-bottom: 14px;
}

#dish_error {
    display: none;
    border-radius: 50px;
    color: rgba(255, 51, 10,0.8);
    font-weight: 500;
    background: rgba(255, 51, 10,0.1);
    border: 2px solid rgba(255, 51, 10,0.3);
    margin-bottom: 14px;
    padding: 4px;
    text-align: center;

}

.radio-image {
    display: flex;
    gap: 14px;
    padding: 10px;
    justify-content: center;

}

.radio-image [type=radio] {
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0;
}

.radio-image [type=radio] + img {
    cursor: pointer;
    width: 48px;
}

.radio-image [type=radio] ~ div {
    width: 100%;
    height: 5px;
    border-radius: 20px;
}

.radio-image [type=radio]:checked ~ div {
    background: rgba(255,214,10,1);
    transition: 0.3s;
}

.icon-main{
    filter: invert(73%) sepia(33%) saturate(6268%) hue-rotate(181deg) brightness(79%) contrast(93%);
}
.icon-side {
    filter: invert(81%) sepia(13%) saturate(6307%) hue-rotate(332deg) brightness(98%) contrast(94%);
}
.icon-salad {
    filter: invert(76%) sepia(13%) saturate(2045%) hue-rotate(42deg) brightness(92%) contrast(94%);
}
.icon-dessert {
    filter: invert(32%) sepia(39%) saturate(3364%) hue-rotate(321deg) brightness(85%) contrast(92%);
}
.icon-summer {
    filter: invert(79%) sepia(80%) saturate(973%) hue-rotate(348deg) brightness(103%) contrast(103%);
}
.icon-winter {
    filter: invert(73%) sepia(33%) saturate(6268%) hue-rotate(181deg) brightness(79%) contrast(93%);
}
.icon-allyear {
    filter: invert(76%) sepia(13%) saturate(2045%) hue-rotate(42deg) brightness(92%) contrast(94%);
}


.toggle {
    display: flex;
    justify-content: center;
    align-items: center;
}
.toggle input[type=checkbox]{
    height: 0;
    width: 0;
    visibility: hidden;
}

.toggle label {
    cursor: pointer;
    text-indent: -9999px;
    width: 110px;
    height: 50px;
    background: #ccc;
    display: block;
    border-radius: 100px;
    position: relative;
}

.toggle label:after {
    content: '';
    position: absolute;
    top: 5px;
    left: 5px;
    width: 40px;
    height: 40px;
    background: #fff;
    border-radius: 90px;
    transition: 0.3s;
}

.toggle input:checked + label {
    background: rgba(255,214,10,1);
}

.toggle input:checked + label:after {
    left: calc(100% - 5px);
    transform: translateX(-100%);
}

.toggle label:active:after {
    width: 80px;
}



 .checkbox-wrapper {
     --size: 36px;
     --background: #fff;
     font-size: 20px;
     display: flex;
     justify-content: center;
     gap: 14px;
 }

.checkbox-wrapper *,
.checkbox-wrapper *::after,
.checkbox-wrapper *::before {
    box-sizing: border-box;
}

.checkbox-wrapper input[type="checkbox"] {
    visibility: hidden;
    display: none;
}

.checkbox-wrapper .checkbox__label {
    width: var(--size);
    height: var(--size);
    margin: 0 auto;
    position: relative;
}

.checkbox-wrapper .checkbox__label:before {
    content: ' ';
    display: block;
    height: var(--size);
    width: var(--size);
    position: absolute;
    top: calc(var(--size) * 0.125);
    left: 0;
}

.checkbox-wrapper .checkbox__label:after {
    content: ' ';
    display: block;
    height: var(--size);
    width: var(--size);
    border: 3px solid rgba(255,214,10,1);
    transition: 200ms;
    position: absolute;
    top: calc(var(--size) * 0.125);
    left: 0;
}

.checkbox-wrapper .checkbox__label:after {
    transition: 100ms ease-in-out;
}

.checkbox-wrapper .checkbox__input:checked ~ .checkbox__label:after {
    border-top-style: none;
    border-right-style: none;
    -ms-transform: rotate(-45deg); /* IE9 */
    transform: rotate(-45deg);
    height: calc(var(--size) * .5);
    border-color: rgba(255,214,10,1);
}

.checkbox-wrapper .checkbox {
    position: relative;
    display: flex;
    cursor: pointer;
    margin-bottom: 12px;
    align-items: center;
    flex-direction: column;
    gap: 14px;
    /* Mobile Safari: */
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}

.checkbox-wrapper .checkbox__label:after:hover,
.checkbox-wrapper .checkbox__label:after:active {
    border-color: green;
}

.switch-button {
    background: rgba(255,214,10, 0.3);
    border-radius: 30px;
    width: 120px;
    margin: 0 auto;
    text-align: center;
    font-size: 18px;
    letter-spacing: 1px;
    font-weight: 500;
    position: relative;
    padding-right: 100px;
    box-shadow: inset 0px 4px 2px rgba(0,0,0,.08);
}
.switch-button:before {

}

.switch-button-checkbox {
    cursor: pointer;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 2;
}
.switch-button-checkbox:checked + .switch-button-label:before {
    transform: translateX(100px);
    transition: transform 300ms linear;
}

.switch-button-checkbox + .switch-button-label .switch-button-label-unchecked {
    color: #fff;
    transition: color 300ms;
}
.switch-button-checkbox:checked + .switch-button-label .switch-button-label-unchecked{
    color: rgb(101, 89, 6);
}

.switch-button-checkbox + .switch-button-label .switch-button-label-checked {
    color: rgb(101, 89, 6);
    content: "Ja";
    position: absolute;
    top: 0;
    bottom: 0;
    right: -100px;
    width: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 3;
    pointer-events: none;
    transition: color 300ms;
}
.switch-button-checkbox:checked + .switch-button-label .switch-button-label-checked{
    color: #fff;
}

.switch-button-checkbox + .switch-button-label {
    position: relative;
    padding: 15px 0;
    display: block;
    user-select: none;
    pointer-events: none;
}
.switch-button-checkbox + .switch-button-label:before {
    content: "";
    background: linear-gradient(135deg,  rgba(255,214,10,1) 0%,rgba(248,165,39,1) 100%);
    height: 100%;
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    border-radius: 30px;
    box-shadow: 0px 4px 2px rgba(0,0,0,.08);
    transform: translateX(0);
    transition: transform 300ms;
}
.switch-button-checkbox + .switch-button-label .switch-button-label-unchecked {
    position: relative;
}
#loader-check{
    display: flex;
    justify-content: center;
    margin-bottom: 14px;
}
#loader-check input {
    display: none;
}

#loader-check input:checked~label {
    animation: none;
    transition: border 0.5s ease-out;
    border: 8px solid rgba(255,214,10,1);
}

#loader-check input:checked~label .loader-check-check {
    display: block;
}

#loader-check .loader-check-label {
    width: 75px;
    height: 75px;
    position: relative;
    border-radius: 50%;
    border: 8px solid #ccc;
    border-left: 8px solid rgba(255,214,10,1);
    animation: spin 500ms linear infinite;
}

#loader-check .loader-check-label .loader-check-check {
    top: 50%;
    left: 12px;
    width: 20px;
    content: "";
    height: 38px;
    display: none;
    position: absolute;
    transform-origin: left top;
    animation: check 0.5s ease;
    border-top: 8px solid rgba(255,214,10,1);
    border-right: 8px solid rgba(255,214,10,1);
    transform: scaleX(-1) rotate(135deg);
}

@keyframes check {
    0% {
        height: 0;
        width: 0;
        opacity: 1;
    }

    20% {
        height: 0;
        width: 20px;
        opacity: 1;
    }

    40% {
        height: 38px;
        width: 20px;
        opacity: 1;
    }

    100% {
        height: 38px;
        width: 20px;
        opacity: 1;
    }
}


@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

#loading-food {
    display: flex;
    justify-content: center;
    flex-direction: column;

}
#loading-food .icon {
    width: 92px;
    height: 92px;
    margin: 0 auto 14px;
    background: url("../images/favicon-256.png");
    background-size: contain;
    animation: tilting 1.5s infinite ease;
}
#loading-food .title {
    margin: 0 auto 14px;
}
@keyframes tilting {
    0% {
        transform: rotate(25deg);
    }
    50% {
        transform: rotate(-25deg);
    }
    100% {
        transform: rotate(25deg);
    }
}

.dish-list {

}
.dish-list li {
    display: flex;
    gap: 14px;

}
.dish-list li.hidden {
    display: none;

}

.dish-list li .icon{
    width: 40px;
}
.dish-list li .icon img{
    width: 100%;
}


.dish-list li .dish-info{
    display: flex;
    flex-direction: column;

}
.dish-list li .dish-info .title{
    font-size: 20px;
}

.dish-list li .dish-info .icons img{
    max-height: 20px;
    max-width: 20px;
}

#dish_search_box {
    display: none;
    margin-bottom: 14px;
}
